Get Nodes
curl --request GET \
--url https://api-prod.interactly.ai/workflows/v1/nodes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.interactly.ai/workflows/v1/nodes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.interactly.ai/workflows/v1/nodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"nodes": [
{
"team_id": "<string>",
"created_by": "<string>",
"updated_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"_id": "5eb7cf5a86d9755df3a6c593",
"node_config": {
"logical_id": "<string>",
"name": "<string>",
"description": "<string>",
"workflow_id": "<string>",
"version_number": 0,
"disabled": false,
"miscellaneous": {},
"primary_category": "System",
"secondary_category": "LLM",
"is_start": false,
"is_guardrail_node": false,
"global_node_config": {
"is_global": false,
"condition": {
"condition_freeform": "<string>",
"condition_expression": "<string>",
"args_schema": {},
"static_messages_config": {
"static_messages": [
"<string>"
],
"static_messages_selection_mode": "random"
},
"dynamic_messages_config": {
"dynamic_message_prompt": "<string>"
}
},
"global_condition_edge_evaluation_method": "workflow_default",
"reverse_conditional_edge": {
"condition_freeform": "<string>",
"condition_expression": "<string>",
"args_schema": {},
"static_messages_config": {
"static_messages": [
"<string>"
],
"static_messages_selection_mode": "random"
},
"dynamic_messages_config": {
"dynamic_message_prompt": "<string>"
}
}
},
"main_response_config": {
"prompt": "<string>"
},
"attachable_llm_config_id": "<string>",
"llms_config": {
"logical_id": "llm_41f18901-b860-4337-ade7-12525f991f46",
"provider": "default_provider",
"streaming": false,
"max_retries": 3,
"max_parse_retries": 3,
"model_kwargs": {},
"do_not_split_sentences": false,
"type": "global_default_llm"
},
"tools_config": {
"tools": [
{
"logical_id": "<string>",
"tool_id": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"signature": "<string>",
"args_schema": {},
"static_messages_config": {
"static_messages": [
"<string>"
],
"static_messages_selection_mode": "random"
},
"result_runtime_variable_name": "tool_result",
"ignore_content_received_during_llm_tool_call_specification": false,
"type": "inline_python",
"code": "<string>"
}
]
},
"self_loop": false,
"wait_for_user_message": true,
"max_consecutive_tool_calls": 1,
"default_error_message": "I am sorry, there seems to be an issue. Could you please repeat?",
"use_mcp_tools": false,
"ignore_default_prompt_prefix": false,
"ignore_default_prompt_suffix": false,
"ignore_content_received_during_llm_tool_call_specification": false,
"type": "worker_llm",
"structured_output_schema": {},
"backchannel_response_config": {
"prompt": "<string>"
}
}
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Nodes
Get Nodes
Endpoint to retrieve all nodes. If version_number is not provided but workflow_id is, defaults to the workflow’s active_version_number.
GET
/
workflows
/
v1
/
nodes
Get Nodes
Authorizations
Retrieve your API Key from Dashboard API Keys Section.
Query Parameters
Show child attributes
Show child attributes
Number of items per page
Required range:
x >= 1Page number
Required range:
x >= 1Search keywords
Filter by start time (ISO 8601 format)
Filter by end time (ISO 8601 format)
⌘I